﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="12.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{0DD64D21-6C6F-4376-9523-8DF5E2CEE7F8}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>FnacDirect.OrderPipe.BaseMvc.Web</RootNamespace>
    <AssemblyName>FnacDirect.OrderPipe.BaseStepsMvc.Web</AssemblyName>
    <TargetFrameworkVersion>v4.8</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <SccProjectName>SAK</SccProjectName>
    <SccLocalPath>SAK</SccLocalPath>
    <SccAuxPath>SAK</SccAuxPath>
    <SccProvider>SAK</SccProvider>
    <TargetFrameworkProfile />
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <Prefer32Bit>false</Prefer32Bit>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <Prefer32Bit>false</Prefer32Bit>
    <OutputPath>bin\release\</OutputPath>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System" />
    <Reference Include="System.ComponentModel.DataAnnotations" />
    <Reference Include="System.Configuration" />
    <Reference Include="System.Core" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Runtime.Serialization" />
    <Reference Include="System.Transactions" />
    <Reference Include="System.Web" />
    <Reference Include="System.Web.Extensions" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="ApiControllers\Articles\PipeArticleApiController.cs" />
    <Compile Include="ApiControllers\OrderPipe\Caixa\PopApiCaixaController.cs" />
    <Compile Include="ApiControllers\OrderPipe\Shipping\Postal\Appointment\Fly\PopApiFlyController.cs" />
    <Compile Include="ApiControllers\OrderPipe\Cobadge\PopApiCobadgeController.cs" />
    <Compile Include="ApiControllers\OrderPipe\PopApiWrapV2Controller.cs" />
    <Compile Include="Controllers\OrderPipe\PopLoginGatewayController.cs" />
    <Compile Include="Models\Common\Basket\PipeArticle\IPipeArticleViewModelBuilder.cs" />
    <Compile Include="Models\Common\Basket\PipeArticle\PipeArticleViewModel.cs" />
    <Compile Include="Models\Common\Basket\PipeArticle\PipeArticleViewModelBuilder.cs" />
    <Compile Include="Models\DataLayer\Builder\DatalayerBuilder.cs" />
    <Compile Include="Models\DataLayer\Builder\IDataLayerBuilder.cs" />
    <Compile Include="Models\DataLayer\DatalayerViewModel.cs" />
    <Compile Include="Models\DataLayer\FnacVersionViewModel.cs" />
    <Compile Include="Models\DataLayer\PageTypeEnum.cs" />
    <Compile Include="Models\DataLayer\PageRequestViewModel.cs" />
    <Compile Include="Models\OrderPipe\Basket\BasketSellerViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Basket\BasketViewModelBuilderCallbacks.cs" />
    <Compile Include="Models\OrderPipe\Basket\IBasketSellerViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Caixa\CaixaInstallmentViewModel.cs" />
    <Compile Include="Models\OrderPipe\Calendar\AppointmentDeliveryCalendarViewModelBuilderResult.cs" />
    <Compile Include="Models\OrderPipe\Calendar\SelectedSlotViewModel.cs" />
    <Compile Include="Models\OrderPipe\Basket\IShopAvailabilityViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Basket\ShopAvailabilityViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Common\Configuration\ConfigurationViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Common\Payment\BillingMethod\Factory\MBWayViewModelFactory.cs" />
    <Compile Include="Models\OrderPipe\Common\Payment\BillingMethod\MBWayBillingMethodViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\Configuration\IConfigurationViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Common\Payment\UnavailablePaymentViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\Scoring\IScoringViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Common\Scoring\ScoringViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\Scoring\ScoringViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Common\Shipping\Network\Postal\Appointment\Fly\FlyArticleViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\Shipping\Network\Postal\Appointment\Fly\FlyServiceViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\Shipping\Network\Postal\Appointment\Fly\FlyViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\Shipping\Network\Postal\Appointment\Fly\FlyViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Common\Shipping\Network\Postal\Appointment\Fly\IFlyViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Common\Shipping\Network\Postal\Appointment\Fly\FlyFormViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\Shipping\Network\Postal\Choice\IPostalShippingChoiceViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\OrderThankYou\Components\MBWayViewModel.cs" />
    <Compile Include="Models\OrderPipe\Sorry\IOrderSorryViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Sorry\OrderSorryViewModel.cs" />
    <Compile Include="Models\OrderPipe\Sorry\OrderSorryViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Wrap\DedicationViewModel.cs" />
    <Compile Include="Models\Tracking\TrackingArticleModel.cs" />
    <Compile Include="Services\Article\Availability\IArticleAvailabilityService.cs" />
    <Compile Include="Services\Article\Availability\ArticleAvailabilityService.cs" />
    <Compile Include="Services\Article\PipeArticle\IPipeArticleService.cs" />
    <Compile Include="Services\Article\PipeArticle\PipeArticleService.cs" />
    <Compile Include="ApiControllers\OrderPipe\PopApiBrowserController.cs" />
    <Compile Include="Models\Common\BrowserViewModel.cs" />
    <Compile Include="Services\DataLayer\DataLayerService.cs" />
    <Compile Include="Services\DataLayer\IDataLayerService.cs" />
    <Compile Include="Services\Tracking\DummyTrackingService.cs" />
    <Compile Include="Services\Tracking\ITrackingService.cs" />
    <Compile Include="Services\Tracking\TrackingService.cs" />
    <Compile Include="Services\Tracking\TrackingServiceCollectionExtension.cs" />
    <Compile Include="Utils\Attributes\MustBeTrueAttribute.cs" />
    <Compile Include="Controllers\ContextualizedOperations\ContextualizedOperationController.cs" />
    <Compile Include="Controllers\ContextualizedOperations\ContextualizedOperationRazorViewEngine.cs" />
    <Compile Include="Controllers\ContextualizedOperations\ContextualizedOperationsAreaRegistrationPart.cs" />
    <Compile Include="Models\ContextualizedOperations\IndexViewModel.cs" />
    <Compile Include="ApiControllers\CrossSellBasket\BasketApiController.cs" />
    <Compile Include="Controllers\CrossSellBasket\BasketManagementController.cs" />
    <Compile Include="Controllers\CrossSellBasket\ClickAndCollectExpressBasketController.cs" />
    <Compile Include="Models\CrossSellBasket\Basket\Item\CrossSellBasketItemInputModelBinder.cs" />
    <Compile Include="Controllers\CrossSellBasket\OneClickBasketController.cs" />
    <Compile Include="Utils\Extensions\ContractValidityHelper.cs" />
    <Compile Include="Utils\HtmlHelpers\OrderPipe\ContextHelper.cs" />
    <Compile Include="Utils\HtmlHelpers\OrderPipe\ContextualizedOperationHelper.cs" />
    <Compile Include="Utils\HtmlHelpers\OrderPipe\AbTest\ABTestHelper.cs" />
    <Compile Include="Utils\HtmlHelpers\OrderPipe\Membership\AdherentCardHelper.cs" />
    <Compile Include="Models\Common\ApiGroupNames.cs" />
    <Compile Include="Models\OrderPipe\Common\Root\IBaseApiRootViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\Root\Base\BaseRootViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\Root\Base\IPopBaseRootViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Common\Root\Base\PopBaseRootViewModelBuilder.cs" />
    <Compile Include="Models\CrossSellBasket\Basket\Item\Children\CrossSellRichItemChildrenViewModelType.cs" />
    <Compile Include="Models\OrderPipe\Common\TermsAndConditions\ITermsAndConditionsViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Basket\OptinWarranty\IOptinWarrantyViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Basket\OptinWarranty\OptinWarrantyUserChoiceViewModel.cs" />
    <Compile Include="Models\OrderPipe\Basket\OptinWarranty\OptinWarrantyViewModel.cs" />
    <Compile Include="Models\OrderPipe\Basket\OptinWarranty\OptinWarrantyViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Common\Shipping\Network\Postal\Choice\PostalShippingChoiceViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Common\PipeMessage\PipeMessageViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\TermsAndConditions\TermsAndConditionsViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\TermsAndConditions\TermsAndConditionsViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Common\PipeMessage\IPipeMessageViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Common\PipeMessage\PipeMessageViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Common\Payment\BillingMethod\Factory\OrangeMethodViewModelFactory.cs" />
    <Compile Include="Models\OrderPipe\Common\Payment\CustomerCreditCardBase\CustomerCreditCardBaseViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Common\Payment\CustomerCreditCardBase\ICustomerCreditCardBaseViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Common\Payment\BillingMethod\OrangeBillingMethodsViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\Payment\TermsAndConditions\TermsAndConditionsTypeViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\Omniture\TrackingViewModel.cs" />
    <Compile Include="Models\OrderPipe\Shipping\Postal\Components\LegalStatusViewModel.cs" />
    <Compile Include="Models\OrderPipe\Shipping\Postal\Components\BaseDropDownViewModel.cs" />
    <Compile Include="Models\OrderPipe\Shipping\Postal\Components\TaxNumberTypeViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\Omniture\ProductTrackingViewModel.cs" />
    <Compile Include="Models\OrderPipe\OnePage\Reminders\RemindersViewModel.cs" />
    <Compile Include="Models\OrderPipe\Shipping\Postal\Components\AddressInfosEnum.cs" />
    <Compile Include="Models\OrderPipe\Shipping\Postal\Components\StateViewModel.cs" />
    <Compile Include="Models\Common\ResponseViewModel.cs" />
    <Compile Include="ApiControllers\OrderPipe\PopApiSelfCheckoutController.cs" />
    <Compile Include="Controllers\OrderPipe\SelfCheckout\SelfCheckoutController.cs" />
    <Compile Include="Controllers\OrderPipe\SelfCheckout\SelfCheckoutApiOrderThankYouBarCodeController.cs" />
    <Compile Include="Controllers\OrderPipe\SelfCheckout\SelfCheckoutOrderSorryController.cs" />
    <Compile Include="Controllers\OrderPipe\SelfCheckout\SelfCheckoutOrderThankYouController.cs" />
    <Compile Include="Models\OrderPipe\SelfCheckout\OrderThankYou\ISelfCheckoutOrderThankYouModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\SelfCheckout\RootViewModel.cs" />
    <Compile Include="Models\OrderPipe\SelfCheckout\OrderThankYou\SelfCheckoutOrderThankYouModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Common\Navigation\INavigationViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\OnePage\Reminders\IRemindersViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\OnePage\Reminders\RemindersViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Common\Navigation\NavigationViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\OrderThankYou\Components\GuestInfosViewModel.cs" />
    <Compile Include="Models\OrderPipe\OrderThankYou\Components\DeliverySlotViewModel.cs" />
    <Compile Include="PaymentHttpBatchHandler.cs" />
    <Compile Include="Models\OrderPipe\Shipping\Relay\CellPhoneRelayRequest.cs" />
    <Compile Include="ApiControllers\OrderPipe\PopApiFlowController.cs" />
    <Compile Include="ApiControllers\OrderPipe\PopApiOperationController.cs" />
    <Compile Include="PopFdvHttpBatchHandler.cs" />
    <Compile Include="ApiControllers\OrderPipe\PopApiOnePageController.cs" />
    <Compile Include="ApiControllers\OrderPipe\PopApiExternalAccountController.cs" />
    <Compile Include="ApiControllers\OrderPipe\PopApiMailController.cs" />
    <Compile Include="ApiControllers\OrderPipe\OrderExternalReference\PopApiOrderExternalReferenceLegacyController.cs" />
    <Compile Include="ApiControllers\OrderPipe\PopApiOrderThankyouController.cs" />
    <Compile Include="ApiControllers\OrderPipe\Payment\PopApiPaymentOgoneController.cs" />
    <Compile Include="ApiControllers\OrderPipe\BillingMethods\PopApiSecondaryBillingMethodsSelectorController.cs" />
    <Compile Include="ApiControllers\OrderPipe\BillingMethods\PopApiPrimaryBillingMethodsSelectorController.cs" />
    <Compile Include="ApiControllers\OrderPipe\BillingMethods\PopApiSecondaryBillingMethodsController.cs" />
    <Compile Include="Controllers\OrderPipe\Payment\PaymentOnePageController.cs" />
    <Compile Include="Controllers\OrderPipe\Quote\QuoteErrorController.cs" />
    <Compile Include="Controllers\OrderPipe\SelfCheckout\SelfCheckoutCryptoController.cs" />
    <Compile Include="Models\OrderPipe\Context\ContextViewModel.cs" />
    <Compile Include="Models\Common\Basket\RichItem\Children\ChildBasketItemViewModel.cs" />
    <Compile Include="Models\Common\Basket\RichItem\Children\ClickAndCollectOnlyBasketItemChildrenViewModelBuilder.cs" />
    <Compile Include="Models\CrossSellBasket\Basket\Item\Children\CrossSellRichItemChildrenViewModel.cs" />
    <Compile Include="Models\CrossSellBasket\Basket\Item\Children\CrossSellRichBasketItemChildrenViewModelBuilder.cs" />
    <Compile Include="Models\Common\Basket\RichItem\Children\Composite\DefaultCompositeRichBasketItemChildrenViewModelBuilder.cs" />
    <Compile Include="Models\CrossSellBasket\Basket\Item\Children\Composite\DefaultCrossSellRichBasketItemChildrenViewModelBuilder.cs" />
    <Compile Include="Models\Common\Basket\RichItem\Children\DigiCopy\DigiCopyChildBasketItemViewModel.cs" />
    <Compile Include="Models\Common\Basket\RichItem\Children\DigiCopy\DigiCopyRichBasketItemChildrenViewModelBuilder.cs" />
    <Compile Include="Models\CrossSellBasket\Basket\Item\Children\Composite\ICompositeCrossSellRichBasketItemChildrenViewModelBuilder.cs" />
    <Compile Include="Models\Common\Basket\RichItem\Children\Composite\ICompositeRichBasketItemChildrenViewModelBuilder.cs" />
    <Compile Include="Models\CrossSellBasket\Basket\Item\Children\ICrossSellRichBasketItemChildrenViewModelBuilder.cs" />
    <Compile Include="Models\Common\Basket\RichItem\Children\IRichBasketItemChildrenViewModelBuilder.cs" />
    <Compile Include="Models\Common\Basket\RichItem\Children\Service\ServiceChildBasketItemViewModel.cs" />
    <Compile Include="Models\Common\Basket\RichItem\Children\Service\ServicesRichBasketItemChildrenViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Basket\Donation\DonationsViewModel.cs" />
    <Compile Include="Models\OrderPipe\Basket\Donation\DonationViewModel.cs" />
    <Compile Include="Models\OrderPipe\Basket\Donation\DonationViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Basket\HideBillingInfo\HideBillingInfoViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Basket\Donation\IDonationViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Basket\HideBillingInfo\HideBillingInfoViewModel.cs" />
    <Compile Include="Models\OrderPipe\Basket\HideBillingInfo\IHideBillingInfoViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Common\Basket\OrderEternalReference\IOrderExternalReferenceViewModelBuilder.cs" />
    <Compile Include="Models\Common\Basket\Price\IPriceViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Common\Basket\OrderEternalReference\OrderExternalReferenceViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\Basket\OrderEternalReference\OrderExternalReferenceViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Common\Payment\BillingMethod\Factory\AvoirOccazViewModelFactory.cs" />
    <Compile Include="Models\OrderPipe\Common\Payment\BillingMethod\Factory\BankTransferViewModelFactory.cs" />
    <Compile Include="Models\OrderPipe\Common\Payment\BillingMethod\Factory\BaseCreditCardViewModelFactory.cs" />
    <Compile Include="Models\OrderPipe\Common\Payment\BillingMethod\Factory\BasePaymentViewModelFactory.cs" />
    <Compile Include="Models\OrderPipe\Common\Payment\BillingMethod\Factory\CheckViewModelFactory.cs" />
    <Compile Include="Models\OrderPipe\Common\Payment\BillingMethod\Factory\CreditCardCetelemViewModelFactory.cs" />
    <Compile Include="Models\OrderPipe\Common\Payment\BillingMethod\Factory\DeferredViewModelFactory.cs" />
    <Compile Include="Models\OrderPipe\Common\Payment\BillingMethod\Factory\FibViewModelFactory.cs" />
    <Compile Include="Models\OrderPipe\Common\Payment\BillingMethod\Factory\FidelityEurosViewModelFactory.cs" />
    <Compile Include="Models\OrderPipe\Common\Payment\BillingMethod\Factory\FidelityPointsOccazViewModelFactory.cs" />
    <Compile Include="Models\OrderPipe\Common\Payment\BillingMethod\Factory\FnacCardMethodsViewModelFactory.cs" />
    <Compile Include="Models\OrderPipe\Common\Payment\BillingMethod\Factory\FreeViewModelFactory.cs" />
    <Compile Include="Models\OrderPipe\Common\Payment\BillingMethod\Factory\GiftCardViewModelFactory.cs" />
    <Compile Include="Models\OrderPipe\Common\Payment\BillingMethod\Factory\IPaymentViewModelFactory.cs" />
    <Compile Include="Models\OrderPipe\Common\Payment\BillingMethod\Factory\LimonetikViewModelFactory.cs" />
    <Compile Include="Models\OrderPipe\Common\Payment\BillingMethod\Factory\OgoneViewModelFactory.cs" />
    <Compile Include="Models\OrderPipe\Common\Payment\BillingMethod\Factory\PayByRefViewModelFactory.cs" />
    <Compile Include="Models\OrderPipe\Common\Payment\BillingMethod\Factory\PayOnDeliveryViewModelFactory.cs" />
    <Compile Include="Models\OrderPipe\Common\Payment\BillingMethod\Factory\SipsViewModelFactory.cs" />
    <Compile Include="Models\OrderPipe\Common\Payment\BillingMethod\Factory\UnicreViewModelFactory.cs" />
    <Compile Include="Models\OrderPipe\Common\Payment\BillingMethod\Factory\VirtualGiftCheckViewModelFactory.cs" />
    <Compile Include="Models\OrderPipe\Common\Payment\BillingMethod\CheckMethodViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\Payment\BillingMethod\DeferredPaymentBillingMethodViewModel.cs" />
    <Compile Include="Models\Common\SummaryPrices\ISummaryPricesViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Common\Payment\Summary\ISummaryViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Common\Omniture\OmnitureBasketViewModel.cs" />
    <Compile Include="Models\Common\Basket\Promotion\IPromotionTemplateViewModelBuilder.cs" />
    <Compile Include="Models\Common\Basket\Price\PriceViewModelBuilder.cs" />
    <Compile Include="Models\Common\Basket\Promotion\PromotionTemplateViewModel.cs" />
    <Compile Include="Models\Common\Basket\Promotion\PromotionTemplateViewModelBuilder.cs" />
    <Compile Include="Models\Common\Basket\ReducedPriceViewModel.cs" />
    <Compile Include="Models\Common\SummaryPrices\SummaryPricesViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Common\Payment\Summary\SummaryViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Common\Payment\BillingMethod\FibBillingMethodViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\FnacPlus\IGotFnacPlusData.cs" />
    <Compile Include="Models\OrderPipe\Common\FnacPlus\Fill\FnacPlusViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Common\FnacPlus\FnacPlusViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\FnacPlus\Fill\IFnacPlusViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Common\Payment\MessageViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\Payment\BillingMethod\BankTransfertViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\Payment\BillingMethod\FnacCardMethodsViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\Shipping\Extensions\FnacTimetableExtensions.cs" />
    <Compile Include="Models\OrderPipe\Common\Shipping\Extensions\DayEntityExtensions.cs" />
    <Compile Include="Models\OrderPipe\Common\FnacPlus\FnacPlusPushBuilder.cs" />
    <Compile Include="Models\OrderPipe\Common\FnacPlus\IFnacPlusPushBuilder.cs" />
    <Compile Include="Models\OrderPipe\Common\Shipping\Network\Postal\ShippingNetworkBuilder\FdvPostalShippingNetworkViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Common\Shipping\Network\Relay\ShippingNetworkBuilder\FdvRelayShippingNetworkViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Common\Shipping\Network\Shop\ShippingNetworkBuilder\FdvShopShippingNetworkViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Common\Shipping\SelectedShippingItemSummary.cs" />
    <Compile Include="Models\OrderPipe\Common\Root\IRootViewModel.cs" />
    <Compile Include="Models\OrderPipe\Membership\Components\ChoiceViewModel.cs" />
    <Compile Include="Models\OrderPipe\Membership\Components\MembershipPushCardViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\Omniture\OmnitureFnacPlusViewModel.cs" />
    <Compile Include="Models\OrderPipe\OrderThankYou\Components\DeezerViewModel.cs" />
    <Compile Include="Models\OrderPipe\OrderThankYou\Components\DonationViewModel.cs" />
    <Compile Include="Models\OrderPipe\Calendar\AppointmentDeliveryCalendarViewModel.cs" />
    <Compile Include="Models\OrderPipe\Calendar\AppointmentDeliveryCalendarViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Calendar\IAppointmentDeliveryCalendarViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Shipping\Postal\PostalAddressValidationViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\TvRoyalty\Info\CivilityInfo.cs" />
    <Compile Include="Models\OrderPipe\Common\TvRoyalty\Info\StreetRankInfo.cs" />
    <Compile Include="Models\OrderPipe\Common\TvRoyalty\Info\StreetTypeInfo.cs" />
    <Compile Include="Models\OrderPipe\Common\TvRoyalty\Info\TerritoryOfUseInfo.cs" />
    <Compile Include="Models\OrderPipe\Common\TvRoyalty\Info\TvUseInfo.cs" />
    <Compile Include="Models\OrderPipe\OrderThankYou\Components\CUPViewModel.cs" />
    <Compile Include="Models\OrderPipe\Shipping\ShipToStore\StoreArticleAvailabilityViewModel.cs" />
    <Compile Include="PopHttpBatchHandler.cs" />
    <Compile Include="Models\OrderPipe\Shipping\Postal\ShippingMethodSelectionViewModel.cs" />
    <Compile Include="Models\OrderPipe\Shipping\Relay\RelaySelectionViewModel.cs" />
    <Compile Include="Models\OrderPipe\Shipping\Shop\ShopSelectionViewModel.cs" />
    <Compile Include="ApiControllers\OrderPipe\PopApiAddressBookController.cs" />
    <Compile Include="ApiControllers\OrderPipe\PopApiCalendarController.cs" />
    <Compile Include="ApiControllers\OrderPipe\PopApiContextController.cs" />
    <Compile Include="ApiControllers\OrderPipe\PopApiDonationController.cs" />
    <Compile Include="ApiControllers\OrderPipe\OrderExternalReference\PopApiOrderExternalReferenceController.cs" />
    <Compile Include="ApiControllers\OrderPipe\Shipping\Postal\PopApiPostalAddressController.cs" />
    <Compile Include="ApiControllers\OrderPipe\PopApiHideBillingInfoController.cs" />
    <Compile Include="ApiControllers\OrderPipe\Shipping\Postal\PopApiPostalAddressFormController.cs" />
    <Compile Include="ApiControllers\OrderPipe\Shipping\Postal\PopApiPostalAddressFormValidityController.cs" />
    <Compile Include="ApiControllers\OrderPipe\BillingMethods\PopApiPrimaryBillingMethodsController.cs" />
    <Compile Include="ApiControllers\OrderPipe\BillingMethods\PopApiPrimaryBillingMethodsSelectorBaseController.cs" />
    <Compile Include="ApiControllers\OrderPipe\PopApiWrapController.cs" />
    <Compile Include="Controllers\OrderPipe\Quote\PopCreateQuoteController.cs" />
    <Compile Include="Controllers\OrderPipe\PopMailController.cs" />
    <Compile Include="ApiControllers\OrderPipe\PopApiSplitController.cs" />
    <Compile Include="ApiControllers\OrderPipe\PopApiIntegrityController.cs" />
    <Compile Include="Controllers\CrossSellBasket\CrossSellBasketRazorViewEngine.cs" />
    <Compile Include="Utils\Attributes\HasProductsQueryStringActionMethodSelectorAttribute.cs" />
    <Compile Include="Utils\HtmlHelpers\GenericHelpers.cs" />
    <Compile Include="Controllers\LayerBasket\LayerBasketRazorViewEngine.cs" />
    <Compile Include="Services\Providers\RichBasketItem\IRichBasketItemViewModelBuilderProvider.cs" />
    <Compile Include="Models\OrderPipe\Basket\Wrap\IWrapViewModelBuilder.cs" />
    <Compile Include="Models\Common\LoginViewModel.cs" />
    <Compile Include="Models\OrderPipe\Membership\MembershipCardFormatViewModel.cs" />
    <Compile Include="Models\Common\Basket\RichItem\RichBasketItemViewModelBuilderContext.cs" />
    <Compile Include="Services\Providers\RichBasketItem\RichBasketItemViewModelBuilderProvider.cs" />
    <Compile Include="Models\OrderPipe\Basket\Options\IOptionsViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Common\Basket\Split\ISplitViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Basket\Options\OptionsViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Common\Basket\Split\SplitViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\Basket\Split\SplitViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Basket\Wrap\WrapViewModel.cs" />
    <Compile Include="Models\OrderPipe\Basket\Wrap\WrapViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\InvoicerEbook\OrderFinalizationViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\Payment\GiftCard\GiftCardNumber.cs" />
    <Compile Include="ApiControllers\OrderPipe\PopApiBasketController.cs" />
    <Compile Include="ApiControllers\OrderPipe\PopApiBasketManagementController.cs" />
    <Compile Include="ApiControllers\OrderPipe\PopApiBillingController.cs" />
    <Compile Include="ApiControllers\OrderPipe\PopApiCodeController.cs" />
    <Compile Include="ApiControllers\OrderPipe\PopApiEnvironments.cs" />
    <Compile Include="ApiControllers\OrderPipe\PopApiExpressPlusController.cs" />
    <Compile Include="ApiControllers\OrderPipe\PopApiMembershipController.cs" />
    <Compile Include="ApiControllers\OrderPipe\Payment\PopApiPaymentController.cs" />
    <Compile Include="ApiControllers\OrderPipe\Payment\PopApiPaymentSecondaryController.cs" />
    <Compile Include="ApiControllers\OrderPipe\Shipping\Postal\PopApiPostalController.cs" />
    <Compile Include="ApiControllers\OrderPipe\Shipping\PopApiRelayController.cs" />
    <Compile Include="ApiControllers\OrderPipe\Shipping\PopApiShippingController.cs" />
    <Compile Include="ApiControllers\OrderPipe\PopApiTvRoyaltyController.cs" />
    <Compile Include="ApiControllers\OrderPipe\Shipping\PopApiShopController.cs" />
    <Compile Include="Utils\Attributes\RequiredIfAttribute.cs" />
    <Compile Include="BaseStepsMvcApiRegistration.cs" />
    <Compile Include="BaseStepsMvcRouteCollectionExtensions.cs" />
    <Compile Include="BaseStepsMvcWebRegistryExtensions.cs" />
    <Compile Include="Models\CrossSellBasket\Basket\Item\BasketItemReferenceViewModel.cs" />
    <Compile Include="Models\CrossSellBasket\Basket\CrossSellBasketViewModelBuilder.cs" />
    <Compile Include="Models\CrossSellBasket\Basket\EmptyCrossSellBasketViewModel.cs" />
    <Compile Include="Models\CrossSellBasket\Basket\ICrossSellBasketViewModelBuilder.cs" />
    <Compile Include="Controllers\CrossSellBasket\CrossSellBasketAreaRegistrationPart.cs" />
    <Compile Include="Controllers\CrossSellBasket\CrossSellBasketController.cs" />
    <Compile Include="Controllers\OrderPipe\PopBasketController.cs" />
    <Compile Include="Controllers\OrderPipe\PopKoboMergeAccountsController.cs" />
    <Compile Include="Controllers\OrderPipe\PopOmnitureController.cs" />
    <Compile Include="Controllers\OrderPipe\Payment\PopPaymentBaseController.cs" />
    <Compile Include="Controllers\OrderPipe\PopCommonController.cs" />
    <Compile Include="Controllers\OrderPipe\PopLoginController.cs" />
    <Compile Include="Controllers\OrderPipe\PopOrderSorryController.cs" />
    <Compile Include="Controllers\OrderPipe\PopPageRedirectorController.cs" />
    <Compile Include="Controllers\OrderPipe\PopBackPreviewController.cs" />
    <Compile Include="Controllers\OrderPipe\PopAddressController.cs" />
    <Compile Include="Controllers\OrderPipe\PopOnePageController.cs" />
    <Compile Include="Controllers\OrderPipe\PopOrderThankYouController.cs" />
    <Compile Include="Controllers\OrderPipe\ViewEngine\PopNustacheViewEngine.cs" />
    <Compile Include="Controllers\OrderPipe\PopBaseController.cs" />
    <Compile Include="Controllers\OrderPipe\ViewEngine\PopRazorViewEngine.cs" />
    <Compile Include="Controllers\OrderPipe\Payment\PopPaymentController.cs" />
    <Compile Include="Controllers\OrderPipe\PopShippingController.cs" />
    <Compile Include="Services\Providers\PopShippingRouteValueProvider.cs" />
    <Compile Include="Controllers\OrderPipe\PopTagCommanderController.cs" />
    <Compile Include="Controllers\OrderPipe\PopTvRoyaltyController.cs" />
    <Compile Include="Models\CrossSellBasket\Basket\Item\CrossSellBasketItemViewModel.cs" />
    <Compile Include="Models\CrossSellBasket\Basket\CrossSellBasketViewModel.cs" />
    <Compile Include="Utils\Extensions\OrderFormExtensions.cs" />
    <Compile Include="Models\CrossSellBasket\Basket\Item\CrossSellBasketItemInput.cs" />
    <Compile Include="Utils\Helpers\AvailabilityHelper.cs" />
    <Compile Include="Utils\HtmlHelpers\OrderPipe\MobileInformations.cs" />
    <Compile Include="Utils\HtmlHelpers\OrderPipe\Shipping\GeolocErrorWording.cs" />
    <Compile Include="Models\LayerBasket\ILayerBasketViewModelBuilder.cs" />
    <Compile Include="Controllers\LayerBasket\LayerBasketAreaRegistrationPart.cs" />
    <Compile Include="Controllers\LayerBasket\LayerBasketController.cs" />
    <Compile Include="Models\LayerBasket\LayerBasketViewModel.cs" />
    <Compile Include="Models\LayerBasket\LayerBasketViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Common\BreadCrumb\BreadCrumbItemViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\BreadCrumb\BreadCrumbViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\BaseChoiceData.cs" />
    <Compile Include="Models\OrderPipe\Common\Basket\ExpressPlus\ExpressPlusViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\Basket\ExpressPlus\ExpressPlusViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Common\Basket\ExpressPlus\IExpressPlusViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Common\Payment\BillingMethod\FidelityAvoirOccazViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\Payment\BillingMethod\Factory\IPaymentMethodViewModelFactory.cs" />
    <Compile Include="Models\OrderPipe\Common\Payment\BillingMethod\PayByRefBillingMethodViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\Payment\BillingMethod\Factory\StructureMapPaymentMethodViewModelFactory.cs" />
    <Compile Include="Models\OrderPipe\Common\Payment\VirtualGiftCheckResultViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\Payment\BillingMethod\VirtualGiftCheckViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\Payment\BillingMethod\FidelityEurosViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\Payment\BillingMethod\FidelityPointsOccazViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\Payment\BillingMethod\GiftCardBillingMethodViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\Payment\GiftCard\GiftCardResult.cs" />
    <Compile Include="Models\OrderPipe\Common\Payment\GiftCard\GiftCardViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\Payment\GiftCard\GiftCardTypeViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\Shipping\GeoPositionViewModel.cs" />
    <Compile Include="Models\OrderPipe\Membership\AdherentCardViewModel.cs" />
    <Compile Include="Models\OrderPipe\Membership\Builder\IMembershipViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\InvoicerEbook\IInvoicerEbookViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\InvoicerEbook\InvoicerEbookViewModel.cs" />
    <Compile Include="Models\OrderPipe\InvoicerEbook\InvoicerEbookViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Kobo\IKoboMergeAccountBuilder.cs" />
    <Compile Include="Models\OrderPipe\Kobo\KoboMergeAccountBuilder.cs" />
    <Compile Include="Models\OrderPipe\Kobo\KoboMergeAccountViewModel.cs" />
    <Compile Include="Models\OrderPipe\Membership\MembershipBindCardViewModel.cs" />
    <Compile Include="Models\OrderPipe\Membership\MembershipCardViewModel.cs" />
    <Compile Include="Models\OrderPipe\Membership\Components\MembershipDiscountViewModel.cs" />
    <Compile Include="Models\OrderPipe\Membership\Components\MembershipFidelityAccountViewModel.cs" />
    <Compile Include="Models\OrderPipe\Membership\Components\MembershipProfilViewModel.cs" />
    <Compile Include="Models\OrderPipe\Membership\Components\MembershipPushViewModel.cs" />
    <Compile Include="Models\OrderPipe\Membership\MembershipViewModel.cs" />
    <Compile Include="Models\OrderPipe\Membership\Builder\MembershipViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Membership\MemberBirthDateViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\Omniture\OmnitureOrderThankYouViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\Omniture\Builder\OmnitureViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Common\Omniture\Builder\IOmnitureViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Shipping\Postal\Components\CountryViewModel.cs" />
    <Compile Include="Models\Common\Basket\AvailabilityViewModel.cs" />
    <Compile Include="Models\OrderPipe\Basket\Options\OptionsViewModel.cs" />
    <Compile Include="Models\Common\Basket\Price\PriceViewModel.cs" />
    <Compile Include="Models\Common\Basket\Promotion\PromotionViewModel.cs" />
    <Compile Include="Models\Common\Basket\QuantityViewModel.cs" />
    <Compile Include="Models\Common\Basket\RichItem\RichBasketItemViewModel.cs" />
    <Compile Include="Models\Common\Basket\RichItem\RichBasketItemViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Basket\BasketSellerViewModel.cs" />
    <Compile Include="Models\OrderPipe\Basket\BasketViewModel.cs" />
    <Compile Include="Models\OrderPipe\Basket\BasketViewModelBuilder.cs" />
    <Compile Include="Models\Common\Basket\RichItem\IRichBasketItemViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Basket\IBasketViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Basket\RootViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\Basket\Item\BasketItemViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Common\Basket\Item\BasketItemWithPictureViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\Basket\Item\BasketItemViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\Basket\SellerInformations\ISellerInformationsViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Common\Basket\SellerInformations\MarketPlaceSellerInformationsViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\Basket\SellerInformations\SellerInformationsViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\Basket\Item\IBasketItemViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Common\Basket\SellerInformations\SellerInformationsViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Common\Footer\FooterViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\Footer\FooterViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Common\Footer\IFooterViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Common\Payment\CustomerCreditCardBase\CustomerCreditCardViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\Payment\TermsAndConditions\TermsAndConditionsBuilder.cs" />
    <Compile Include="Models\OrderPipe\Common\Payment\TermsAndConditions\ITermsAndConditionsBuilder.cs" />
    <Compile Include="Models\OrderPipe\Common\Shipping\Address\BillingAddressModel.cs" />
    <Compile Include="Models\OrderPipe\Common\Shipping\BillingOnly\BillingOnlyViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\Shipping\BillingOnly\BillingOnlyViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Common\Shipping\BillingOnly\IBillingOnlyViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Common\Shipping\Network\Relay\RelayAddressViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\Shipping\Network\Shop\ShopAddressViewModel.cs" />
    <Compile Include="Models\OrderPipe\Shipping\Postal\AddressFormViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\Shipping\Address\Extensions\AddressViewModelExtension.cs" />
    <Compile Include="Models\OrderPipe\Shipping\Postal\Components\QasViewModel.cs" />
    <Compile Include="Models\OrderPipe\OnePage\Basket\BasketViewModel.cs" />
    <Compile Include="Models\OrderPipe\OnePage\Basket\BasketViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\OnePage\Basket\IBasketViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Shipping\Postal\AddressViewModel.cs" />
    <Compile Include="Models\OrderPipe\Shipping\Postal\Builder\AddressViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Shipping\Postal\Builder\IAddressViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Common\Payment\BillingMethod\BillingMethodViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\Payment\BillingMethod\CreditCardBillingMethodsViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\Payment\Payment\IPaymentViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Common\Payment\Summary\PaymentSummaryViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\Payment\Payment\PaymentViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\Payment\Payment\PaymentViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Common\Payment\CreditCardViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\Payment\PromotionViewModel.cs" />
    <Compile Include="Models\OrderPipe\Shipping\Postal\Components\CivilityViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\BreadCrumb\BreadCrumbViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Common\BreadCrumb\IBreadCrumbViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Login\LoginViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\Shipping\Address\AddressViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\Shipping\Address\EligibleAddressViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\Shipping\Extensions\AddressEntityExtensions.cs" />
    <Compile Include="Models\OrderPipe\Common\Shipping\Extensions\BillingAddressExtensions.cs" />
    <Compile Include="Models\OrderPipe\Common\Shipping\Extensions\PostalAddressExtensions.cs" />
    <Compile Include="Models\OrderPipe\Common\Shipping\Network\ISelectedShippingItem.cs" />
    <Compile Include="Models\OrderPipe\Common\Shipping\Network\IShippingNetworkViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Common\Shipping\Network\Postal\ShippingNetworkBuilder\IPostalShippingNetworkViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Common\Shipping\Network\Postal\Choice\PostalShippingChoiceViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\Shipping\Network\Postal\PostalShippingNetworkViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\Shipping\IShippingViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Common\Shipping\Network\Postal\ShippingNetworkBuilder\PostalShippingNetworkViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Common\Shipping\Network\Postal\PostalDetailsViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\Shipping\Network\Relay\RelayShippingNetworkViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\Shipping\Network\Relay\ShippingNetworkBuilder\RelayShippingNetworkViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Common\Shipping\Network\Relay\RelayViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\Shipping\Network\Relay\RelayDetailsViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\Shipping\Network\ShippingNetworkViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\Shipping\ShippingViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\Shipping\ShippingViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Common\Shipping\ShippingViewModelMode.cs" />
    <Compile Include="Models\OrderPipe\Common\Shipping\Network\Relay\ShippingNetworkBuilder\IRelayShippingNetworkViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Common\Shipping\Network\Shop\ShopDetailsViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\Shipping\Network\Shop\Exceptionnal\ExceptionnalOpeningViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\Shipping\Network\Shop\Exceptionnal\ExceptionnalClosingViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\Shipping\Network\Shop\ShippingNetworkBuilder\IShopShippingNetworkViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Common\Shipping\Network\Shop\ShopShippingNetworkViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\Shipping\Network\Shop\ShippingNetworkBuilder\ShopShippingNetworkViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Common\Shipping\Network\Shop\ShopViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\Shipping\TimetableViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\Payment\TabPaymentMethodsModel.cs" />
    <Compile Include="Models\OrderPipe\Common\Omniture\OmnitureCommonViewModel.cs" />
    <Compile Include="Models\OrderPipe\OnePage\RootViewModel.cs" />
    <Compile Include="Models\OrderPipe\OrderThankYou\Components\AdvertisingViewModel.cs" />
    <Compile Include="Models\OrderPipe\OrderThankYou\ConversionFollowViewModel.cs" />
    <Compile Include="Models\OrderPipe\OrderThankYou\IOrderThankYouViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\OrderThankYou\Components\OrderDetail\OrderDetailAddress.cs" />
    <Compile Include="Models\OrderPipe\OrderThankYou\Components\OrderDetail\OrderDetailArticle.cs" />
    <Compile Include="Models\OrderPipe\OrderThankYou\Components\OrderDetail\OrderDetailsViewModel.cs" />
    <Compile Include="Models\OrderPipe\OrderThankYou\Components\OrderDetail\OrderReferenceViewModel.cs" />
    <Compile Include="Models\OrderPipe\OrderThankYou\OrderThankYouViewModel.cs" />
    <Compile Include="Models\OrderPipe\OrderThankYou\OrderThankYouViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\OrderThankYou\Components\PayByRefViewModel.cs" />
    <Compile Include="Models\OrderPipe\OrderThankYou\Components\ShipToStoreInformation.cs" />
    <Compile Include="Models\OrderPipe\OrderThankYou\Components\SteedFromStoreViewModel.cs" />
    <Compile Include="Models\OrderPipe\Payment\Basket\BasketSellerViewModel.cs" />
    <Compile Include="Models\OrderPipe\Payment\Basket\BasketViewModel.cs" />
    <Compile Include="Models\OrderPipe\Payment\Basket\BasketViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Payment\Basket\IBasketViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Payment\DirectLink3DSecureViewModel.cs" />
    <Compile Include="Models\OrderPipe\Payment\HtmlTemplate\IPaymentHtmlTemplateViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Payment\HtmlTemplate\PaymentHtmlTemplateViewModel.cs" />
    <Compile Include="Models\OrderPipe\Payment\HtmlTemplate\PaymentHtmlTemplateViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Payment\RootViewModel.cs" />
    <Compile Include="Models\OrderPipe\Payment\Basket\Components\ShippingViewModel.cs" />
    <Compile Include="Models\OrderPipe\Shipping\Basket\BasketItemViewModel.cs" />
    <Compile Include="Models\OrderPipe\Shipping\Basket\BasketViewModel.cs" />
    <Compile Include="Models\OrderPipe\Shipping\Basket\BasketViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Shipping\Basket\IBasketViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Common\Navigation\NavigationViewModel.cs" />
    <Compile Include="Models\OrderPipe\Shipping\RootViewModel.cs" />
    <Compile Include="Models\OrderPipe\TagCommander\ITagCommanderViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\TagCommander\TagCommanderThankYouViewModel.cs" />
    <Compile Include="Models\OrderPipe\TagCommander\TagCommanderOrderViewModel.cs" />
    <Compile Include="Models\OrderPipe\TagCommander\TagCommanderViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Common\TvRoyalty\ITvRoyaltyViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Common\TvRoyalty\TvRoyaltyFormViewModel.cs" />
    <Compile Include="Models\OrderPipe\Common\TvRoyalty\TvRoyaltyViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Shipping\ShipToStore\SearchResultGeoStoreViewModel.cs" />
    <Compile Include="Models\OrderPipe\Shipping\ShipToStore\SearchResultStoreViewModel.cs" />
    <Compile Include="Models\OrderPipe\Shipping\ShipToStore\SearchResultStoreViewModelFactory.cs" />
    <Compile Include="Models\OrderPipe\Shipping\ShipToStore\StoreViewModel.cs" />
    <Compile Include="Models\OrderPipe\OnePage\IOnePageRootViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\OnePage\OnePageRootViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\PageRedirector\PageRedirectorViewModel.cs" />
    <Compile Include="Models\OrderPipe\Payment\IPaymentPageRootViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Payment\PaymentPageRootViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Quote\QuoteErrorViewModel.cs" />
    <Compile Include="Models\OrderPipe\SelfCheckout\Crypto\SelfCheckoutCryptoViewModel.cs" />
    <Compile Include="Models\OrderPipe\SelfCheckout\Crypto\SelfCheckoutCryptoViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\SelfCheckout\Crypto\ISelfCheckoutCryptoViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\SelfCheckout\Summary\ISelfCheckoutSummaryViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\SelfCheckout\OrderThankYou\SelfCheckoutOrderThankYouViewModel.cs" />
    <Compile Include="Models\OrderPipe\SelfCheckout\Summary\SelfCheckoutSummaryViewModel.cs" />
    <Compile Include="Models\OrderPipe\SelfCheckout\Summary\SelfCheckoutSummaryViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Shipping\IShippingPageRootViewModelBuilder.cs" />
    <Compile Include="Models\OrderPipe\Shipping\ShippingPageRootViewModelBuilder.cs" />
    <Compile Include="Controllers\OrderPipe\PopAreaRegistrationPart.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Services\Providers\ShipToStore\IStoreViewModelProvider.cs" />
    <Compile Include="Services\Providers\ShipToStore\StoreViewModelProvider.cs" />
    <Compile Include="Services\ArticleImage\ArticleImagePathService.cs" />
    <Compile Include="Services\ArticleImage\IArticleImagePathService.cs" />
    <Compile Include="Services\Payment\IPaymentMethodService.cs" />
    <Compile Include="Services\Payment\PaymentMethodService.cs" />
    <Compile Include="Services\Shipping\Address\AddressSelectorService.cs" />
    <Compile Include="Services\Shipping\Address\IAddressSelectorService.cs" />
    <Compile Include="Services\Shipping\CustomerFavorite\CustomerFavoriteStoreService.cs" />
    <Compile Include="Services\Shipping\CustomerFavorite\ICustomerFavoriteStoreService.cs" />
    <Compile Include="Services\Shipping\Eligibility\IStoreEligibilityLineGroupsService.cs" />
    <Compile Include="Services\Shipping\Store\IStoreSearchService.cs" />
    <Compile Include="Services\Shipping\Eligibility\StoreEligibilityLineGroupsService.cs" />
    <Compile Include="Services\Shipping\Store\StoreSearchService.cs" />
    <Compile Include="Services\Shipping\Store\StoreSearchGeoResult.cs" />
    <Compile Include="Utils\Attributes\CreditCardValidation\CreditCardHolderInformationsValidationAttribute.cs" />
    <Compile Include="Utils\Attributes\CreditCardValidation\CreditCardCryptoValidationAttribute.cs" />
    <Compile Include="Utils\Attributes\CreditCardValidation\CreditCardValidityDateValidationAttribute.cs" />
    <Compile Include="Utils\Attributes\CreditCardValidation\CreditCardNumberValidationAttribute.cs" />
    <Compile Include="PopWebViewPage.cs" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\..\..\..\Quote\FnacDirect.QuoteBusiness\FnacDirect.Quote.Business.csproj">
      <Project>{79cf3355-3128-40b0-b837-d5003d3543a0}</Project>
      <Name>FnacDirect.Quote.Business</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\..\Quote\FnacDirect.QuoteDataAccess\FnacDirect.Quote.DAL.csproj">
      <Project>{69dd86a0-ea68-4943-82b8-c0092d94fb3a}</Project>
      <Name>FnacDirect.Quote.DAL</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\..\Quote\FnacDirect.QuoteEntities\FnacDirect.Quote.Model.csproj">
      <Project>{df39e5c0-c2ae-4050-8410-9632d056f1f9}</Project>
      <Name>FnacDirect.Quote.Model</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\..\Base\Model\FnacDirect.OrderPipe.BaseModel.csproj">
      <Project>{0149BA6E-05F6-4975-9CF8-4AE7B4DBE5C8}</Project>
      <Name>FnacDirect.OrderPipe.BaseModel</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\..\Base\Business\FnacDirect.OrderPipe.BaseBusiness.csproj">
      <Project>{90921491-01FE-4AB6-965F-E8CB0292028E}</Project>
      <Name>FnacDirect.OrderPipe.BaseBusiness</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\..\Base\DAL\FnacDirect.OrderPipe.BaseDAL.csproj">
      <Project>{91F3DE11-086C-4ECF-AE2D-AE9563D32696}</Project>
      <Name>FnacDirect.OrderPipe.BaseDAL</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\..\Core\Engine\FnacDirect.OrderPipe.CoreEngine.csproj">
      <Project>{4BFA61B1-8C9C-4CB3-A2C8-D1228724D787}</Project>
      <Name>FnacDirect.OrderPipe.CoreEngine</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\..\Core\Model\FnacDirect.OrderPipe.CoreModel.csproj">
      <Project>{98FED7EF-8938-4B8E-81BC-A7FEB53D5129}</Project>
      <Name>FnacDirect.OrderPipe.CoreModel</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\..\Core\Utils\FnacDirect.OrderPipe.CoreUtils.csproj">
      <Project>{14CC7143-1836-43EF-B4E2-545101E8D05C}</Project>
      <Name>FnacDirect.OrderPipe.CoreUtils</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\Business\Base\FnacDirect.OrderPipe.BaseSteps.csproj">
      <Project>{CA1FB2B3-A7DF-4760-AF4C-3DD0F9ECC1E2}</Project>
      <Name>FnacDirect.OrderPipe.BaseSteps</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\..\Core\CoreMvcWeb\FnacDirect.OrderPipe.CoreMvcWeb.csproj">
      <Project>{7D8B5C45-D126-4E5F-8F02-41D33E6A67B7}</Project>
      <Name>FnacDirect.OrderPipe.CoreMvcWeb</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\..\Core\CoreRouting\FnacDirect.OrderPipe.CoreRouting.csproj">
      <Project>{EA472D9A-AC98-4C1B-843B-C15F0730F29B}</Project>
      <Name>FnacDirect.OrderPipe.CoreRouting</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\..\Base\Proxy\BaseProxy\FnacDirect.OrderPipe.BaseProxy.csproj">
      <Project>{C24313BA-B8D1-42C4-A503-1BFB9E92530D}</Project>
      <Name>FnacDirect.OrderPipe.BaseProxy</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\..\..\..\..\services.front\src\Basket\BasketBusiness\FnacDirect.Basket.Business.csproj">
      <Project>{BAEC4800-12F3-4E7A-BC54-F02BB5939880}</Project>
      <Name>FnacDirect.Basket.Business</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\..\..\..\..\services.front\src\Basket\BaseModel\FnacDirect.Basket.Model.csproj">
      <Project>{CBCF3E08-F5D5-4CEE-BACB-7D8CD74ED216}</Project>
      <Name>FnacDirect.Basket.Model</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\..\..\..\..\services.partners\src\ProxyPartners\FnacDirect.Front.Partners.BLL\FnacDirect.Front.Partners.BLL.csproj">
      <Project>{AC4B9ABB-02C7-46E7-9874-B6E65ACF5A22}</Project>
      <Name>FnacDirect.Front.Partners.BLL</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\..\..\..\..\WebControls.FrontWebBusiness\src\FnacDirect.Front.WebBusiness\FnacDirect.Front.WebBusiness.csproj">
      <Project>{326CE738-C6A2-46A7-93E7-13BD2DD87C2F}</Project>
      <Name>FnacDirect.Front.WebBusiness</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\..\..\..\..\services.catalog\src\FrontOfferService\IBusiness\FnacDirect.OfferService.IBusiness.csproj">
      <Project>{23333DA1-8FF1-49E9-8805-BB6E1BE7CB19}</Project>
      <Name>FnacDirect.OfferService.IBusiness</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\..\..\..\..\services.subscriptions\src\FnacDirect.Subscriptions.Models\FnacDirect.Subscriptions.Models.csproj">
      <Project>{EFC14902-9C97-40A5-B5D7-C683622E8BCC}</Project>
      <Name>FnacDirect.Subscriptions.Models</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\..\..\..\..\WebControls.FrontWebBusiness\src\FnacDirect.Technical.Framework.Web\FnacDirect.Technical.Framework.Web.csproj">
      <Project>{921D7D33-4628-41A5-A69C-9B97F4B86074}</Project>
      <Name>FnacDirect.Technical.Framework.Web</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <Folder Include="Models\OrderPipe\Shipping\Postal\Extensions\" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it.
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
  <ItemGroup>
    <PackageReference Include="common.logging.core" Version="3.4.1" />
    <PackageReference Include="featureflags" Version="1.2.3" />
    <PackageReference Include="fnac.demat.delivery.contracts" Version="1.0.0" />
    <PackageReference Include="FnacDarty.FnacCom.DataLayer" Version="1.2.3" />
    <PackageReference Include="fnacdirect.context" Version="2.4.0" />
    <PackageReference Include="FnacDirect.Contracts.Online.IModel" Version="2.16.0" />
    <PackageReference Include="FnacDirect.Contracts.Online.Model" Version="2.16.0" />
    <PackageReference Include="fnacdirect.customer.segmentation" Version="2.1.4" />
    <PackageReference Include="fnacdirect.customer.segmentation.basemodel" Version="2.1.4" />
    <PackageReference Include="FnacDirect.InstallmentPayment" Version="1.0.1" />
    <PackageReference Include="FnacDirect.Ogone" Version="3.0.0" />
    <PackageReference Include="FnacDirect.OrderPipe.PaymentConfiguration" Version="1.2.7" />
    <PackageReference Include="fnacdirect.technical.framework.servicelocation" Version="1.1.0" />
    <PackageReference Include="FnacDirect.Customer" Version="2.4.2" />
    <PackageReference Include="FnacDirect.FnacStore" Version="1.10.1" />
    <PackageReference Include="FnacDirect.Framework.PubSub.Producer" Version="1.0.11" />
    <PackageReference Include="fnacdirect.front.ebook" Version="1.2.1" />
    <PackageReference Include="fnacdirect.mailing" Version="1.1.3" />
    <PackageReference Include="fnacdirect.membership" Version="1.7.1" />
    <PackageReference Include="fnacdirect.orderpipe.contracts" Version="3.1.3" />
    <PackageReference Include="fnacdirect.orderpipe.shipping" Version="1.0.1" />
    <PackageReference Include="fnacdirect.relay" Version="1.0.0" />
    <PackageReference Include="FnacDirect.SalesOffer.Catalog.Api" Version="1.1.1" />
    <PackageReference Include="FnacDirect.Solex.AppointmentDelivery.Client" Version="3.11.7" />
    <PackageReference Include="FnacDirect.Solex.Shipping.Client" Version="3.11.7" />
    <PackageReference Include="FnacDirect.Technical.Framework.CoreServices" Version="3.1.9" />
    <PackageReference Include="fnacdirect.identityimpersonation" Version="1.0.0" />
    <PackageReference Include="fnacdirect.technical.framework.localization" Version="3.1.3" />
    <PackageReference Include="fnacdirect.technical.framework.configuration" Version="3.0.0" />
    <PackageReference Include="fnacdirect.technical.framework.structuremap" Version="2.4.3" />
    <PackageReference Include="fnacdirect.technical.framework.utils" Version="2.3.0" />
    <PackageReference Include="fnacdirect.technical.framework.velocity" Version="1.1.2" />
    <PackageReference Include="fnacdirect.tvroyaltiesaddressnormalization" Version="1.1.0" />
    <PackageReference Include="fnacdirect.virtualgiftcheck" Version="1.0.1" />
    <PackageReference Include="newtonsoft.json" Version="11.0.2" />
    <PackageReference Include="shoppingcartentities" Version="1.17.0" />
    <PackageReference Include="structuremap" Version="4.2.0.402" />
    <PackageReference Include="system.net.http" Version="4.3.4" />
    <PackageReference Include="microsoft.aspnet.webapi.client" Version="5.2.7" />
    <PackageReference Include="microsoft.aspnet.webapi.core" Version="5.2.7" />
    <PackageReference Include="microsoft.aspnet.mvc" Version="5.2.7" />
    <PackageReference Include="microsoft.csharp" Version="4.0.1" />
    <PackageReference Include="microsoft.aspnet.webpages" Version="3.2.7" />
    <PackageReference Include="microsoft.extensions.configuration.abstractions" Version="3.1.15" />
    <PackageReference Include="Microsoft.Extensions.DependencyInjection" Version="6.0.0" />
    <PackageReference Include="Microsoft.Extensions.DependencyInjection.Abstractions" Version="6.0.0" />
    <PackageReference Include="vanilla.core.interfaces" Version="1.1.0" />
    <PackageReference Include="nav.arborescence.services" Version="1.1.0" />
  </ItemGroup>
</Project>
